/* Centaur MD4
 *
 * Version 3.0
 * 4/7/2024
 *
 * Simplified MD4 functions
 *
 * int hashcompare(string, string)	-- case-insensitive string compare
 * char * md4string(string, case)	-- get MD4 hash of string
 * char * md4file(file, case)		-- get MD4 hash of file
 *
 * 'case' must be provided; 0 = lowercase, 1 = uppercase
 * 'file' must be a path to a file and not a file descriptor/stream
 *
 * md4.h
 */

#ifndef _CENTAUR_MD4_H
#define _CENTAUR_MD4_H 1

#define _DIR	1
#define _FILE	0
#define _NONE	-1

#define MD4_STRING_LENGTH 33

unsigned char result[MD4_STRING_LENGTH];
char md4f_retv[MD4_STRING_LENGTH];
char r[MD4_STRING_LENGTH];

int hashcompare(char hash1[MD4_STRING_LENGTH], char hash2[MD4_STRING_LENGTH]);

int ftype(char file[]);

int valid_md4_file(char fname[]);

char * md4string(char string[], int uppercase);

unsigned long fdsize(int fd);

char * md4file(char fname[], int uppercase);

#endif /* _CENTAUR_MD4_H */
